package main

import (
	"bytes"
	"errors"
	"fmt"
	"os"
	"os/exec"
	"strings"
)

func ExecuteOnPath(path string, cmd string) error {
	logger.LogInfo(fmt.Sprintf("Executing command `%s` on path %s", cmd, path), nil)
	args := strings.Split(cmd, " ")
	c := exec.Command(args[0], args[1:]...)
	c.Dir = path
	c.Env = os.Environ()

	stdErrorBuff := bytes.NewBuffer(nil)
	stdoutBuff := bytes.NewBuffer(nil)
	c.Stderr = stdErrorBuff
	c.Stdout = stdoutBuff
	err := c.Run()
	if err != nil {
		return errors.New(err.Error() + ". " + stdErrorBuff.String())
	}
	return nil
}
