#!/bin/bash

if [ "$IS_TLS" == "true" ]; then
    #convert jks certs to pem format
    /bin/bash convert_jks.sh
fi

#mount hopsfs
/bin/bash hopsfs-mount.sh

GLASSFISH_URL=$GLASSFISH_IP:$GLASSFISH_PORT
WAIT_MOUNT=30
MOUNTED=false
timeout=0
while [ $timeout -lt $WAIT_MOUNT ] ; do
  sleep 1
  # Check if hopsfs has been mounted
  grep 'Mounted successfully' "$HOPSFS_LOGFILE"
  if [ $? -eq 0 ] ; then
     #run the hopsgit-wrapper binary program
     JWT_TOKEN=$(cat ${JWT_TOKEN_FILE})
     hops-git -commandType "$GIT_COMMAND" -commandConfig "$GIT_COMMAND_CONFIG" -jwtToken "$JWT_TOKEN" -executionId "$EXECUTION_ID" -projectId "$PROJECT_ID" -gitUsername "$GIT_USERNAME" -gitToken "$GIT_TOKEN" -repositoryId "$REPOSITORY_ID" -hopsfsMountPoint /srv/hops/git/$HADOOP_USERNAME -remoteServerUrl "$GLASSFISH_URL" -updateHopsworks true >> "$COMMAND_LOGFILE"
     sleep 2
     break 
  fi
  echo -n "."
  timeout=$((timeout + 1))
done

if [ "$MOUNTED" = false ]; then
  #update the execution state on hopsworks as failed if fail to mount hopsfs
  HOPSWORKS_ENDPOINT=$(printf "%s/hopsworks-api/api/project/%s/git/repository/%s/execution/%s/state" "$GLASSFISH_URL" "$PROJECT_ID" "$REPOSITORY_ID" "$EXECUTION_ID")
  curl -X PUT --retry 5 --retry-connrefused $HOPSWORKS_ENDPOINT -H 'Content-Type: application/json'-d '{"executionState":"Failed","message":"Failed to mount hopsfs"}'
  exit
fi
