package main

import (
	"fmt"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
)

func TestHopsRemoteUpdater_SendHttpReq(t *testing.T) {
	projectId = "120"
	repositoryId = "4"
	executionId = "4"
	updateHopsworks = true
	srv := HttpMock()
	remoteServerUrl = srv.URL
	defer func() {
		updateHopsworks = false
		ResetTestRepo()
		srv.Close()
	}()
	hopsBaseUrl = fmt.Sprintf("%s/hopsworks-api/api/project/%s/git/repository/%s", remoteServerUrl, projectId, repositoryId)
	currentBranch := "main"
	currentCommit := "123456789"
	message := "command was successfull"
	finalState := SuccessState
	testCommit := CommitDTO{
		Name:       "Admin Admin",
		CommitHash: currentCommit,
		Email:      "admin@hopsworks.ai",
		Message:    "test commit",
	}
	SendBranchCommitsToHopsworks(currentBranch, []CommitDTO{testCommit})
	require.Equal(t, len(gitRepositoryTest.Commits), 1)
	assert.Equal(t, gitRepositoryTest.Commits[0].CommitHash, currentCommit)
	SendFinalStateToHopsworks(currentCommit, currentBranch, message, finalState)
	assert.Equal(t, gitRepositoryTest.ExecutionState, SuccessState)
	assert.Equal(t, gitRepositoryTest.CurrentCommit, currentCommit)
	assert.Equal(t, gitRepositoryTest.CurrentBranch, currentBranch)

}
