package main

import (
	"github.com/stretchr/testify/require"
	"testing"
)

var testRemoteName = "demo"
var testRemoteUrl = "https://github.com/logicalclocks/hopsworks.git"

func TestRemoteActions_Add(t *testing.T) {
	r, _, _ := CloneRepoTest(t, "add_remote")
	remoteActions := &RemoteActions{repository: r}
	remotes, err := remoteActions.Add(testRemoteName, testRemoteUrl)
	require.Nil(t, err)
	require.Contains(t, remotes, RemoteDTO{RemoteName: testRemoteName, Url: testRemoteUrl})
}

func TestRemoteActions_Delete(t *testing.T) {
	r, _, _ := CloneRepoTest(t, "delete_remote")
	remoteActions := &RemoteActions{repository: r}
	remotes, err := remoteActions.Delete("origin")
	require.Nil(t, err)
	require.NotContains(t, remotes, RemoteDTO{RemoteName: testRemoteName, Url: testRemoteUrl})
}
