package main

import (
	"github.com/go-git/go-git/v5"
)

func UpdateFinalRepositoryState(repo *git.Repository, message string, finalState string) {
	repoActions := RepositoryActions{r: repo}
	currentBranch, currentCommit, _ := repoActions.GetRepositoryBranchAndCommit()
	SendFinalStateToHopsworks(currentCommit, currentBranch, message, finalState)
}

func UpdateBranchCommits(repository *git.Repository) {
	repoActions := &RepositoryActions{r: repository}
	currentBranch, _, _ := repoActions.GetRepositoryBranchAndCommit()
	//update branch commits
	if currentBranch != "" {
		commits, _ := repoActions.GetCommits()
		SendBranchCommitsToHopsworks(currentBranch, commits)
	} else {
		logger.LogInfo("Failed to update branch commits. Current branch is empty", nil)
	}
}
